# WOK
TKWOK
WOKUnix

# WOKUnix_ProcessOutput Class Reference

`#include <WOKUnix_ProcessOutput.hxx>`

Inheritance diagram for WOKUnix_ProcessOutput:

[legend]

## Public Member Functions

virtual Standard_EXPORT void | Clear () const =0
virtual Standard_EXPORT Handle_TColStd_HSequenceOfHAsciiString | Echo () const =0
virtual Standard_EXPORT Handle_TColStd_HSequenceOfHAsciiString | Errors () const =0
virtual Standard_EXPORT void | Select (Standard_Integer &afdmax, WOKUnix_Timeval &atimeout, WOKUnix_FDSet &aset) const =0
virtual Standard_EXPORT void | Acquit (const Standard_Integer selectstatus, const WOKUnix_FDSet &aset) const =0
virtual Standard_EXPORT void | Close ()=0
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Protected Member Functions

Standard_EXPORT | WOKUnix_ProcessOutput ()

## Constructor & Destructor Documentation

Standard_EXPORT WOKUnix_ProcessOutput::WOKUnix_ProcessOutput | ( |  | ) | `[protected]`

## Member Function Documentation

virtual Standard_EXPORT void WOKUnix_ProcessOutput::Acquit | ( | const Standard_Integer | selectstatus,
|  | const WOKUnix_FDSet & | aset
| ) | const`[pure virtual]`

| Implemented in WOKUnix_DumbOutput, WOKUnix_MixedOutput, and WOKUnix_OutErrOutput.

virtual Standard_EXPORT void WOKUnix_ProcessOutput::Clear | ( |  | ) | const`[pure virtual]`

| Implemented in WOKUnix_DumbOutput, WOKUnix_MixedOutput, and WOKUnix_OutErrOutput.

virtual Standard_EXPORT void WOKUnix_ProcessOutput::Close | ( |  | ) | `[pure virtual]`

| Implemented in WOKUnix_DumbOutput, WOKUnix_MixedOutput, and WOKUnix_OutErrOutput.

virtual Standard_EXPORT Handle_TColStd_HSequenceOfHAsciiString WOKUnix_ProcessOutput::Echo | ( |  | ) | const`[pure virtual]`

| Implemented in WOKUnix_DumbOutput, WOKUnix_MixedOutput, and WOKUnix_OutErrOutput.

virtual Standard_EXPORT Handle_TColStd_HSequenceOfHAsciiString WOKUnix_ProcessOutput::Errors | ( |  | ) | const`[pure virtual]`

| Implemented in WOKUnix_DumbOutput, WOKUnix_MixedOutput, and WOKUnix_OutErrOutput.

Standard_EXPORT const WOKUnix_ProcessOutput::Handle | ( | Standard_Type |  | ) | const

| Reimplemented in WOKUnix_DumbOutput, WOKUnix_MixedOutput, and WOKUnix_OutErrOutput.

virtual Standard_EXPORT void WOKUnix_ProcessOutput::Select | ( | Standard_Integer & | afdmax,
|  | WOKUnix_Timeval & | atimeout,
|  | WOKUnix_FDSet & | aset
| ) | const`[pure virtual]`

| Implemented in WOKUnix_DumbOutput, WOKUnix_MixedOutput, and WOKUnix_OutErrOutput.

The documentation for this class was generated from the following file:

- WOKUnix_ProcessOutput.hxx